Page MenuHomePhabricator

RevisionSlider causes users to edit outdated revisions
Closed, ResolvedPublic3 Story Points

Description

When comparing two revisions of a page, that are NOT the latest ones, there is a quite critical issue.

When one drags the blue pointer to the last revision, and then clicks the "Edit" tab at the top of the page, they edit an outdated revision instead of editing the latest one!

It does not happen when the RS is disabled.

It might be a little difficult to understand and reproduce it, therefore I've created a video demonstrating the bug:
https://www.youtube.com/watch?v=nCKCFSeuVRg

Event Timeline

Guycn2 created this task.Aug 16 2016, 8:44 PM
Restricted Application added a project: TCB-Team. · View Herald TranscriptAug 16 2016, 8:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Guycn2 updated the task description. (Show Details)Aug 16 2016, 8:46 PM

Change 305213 had a related patch set uploaded (by Jakob):
Reload the page menu when loading a new revision.

https://gerrit.wikimedia.org/r/305213

Jakob_WMDE moved this task from Proposed to Review on the TCB-Team-Sprint-2016-08-11 board.

Change 305213 merged by jenkins-bot:
Reload the page menu when loading a new revision.

https://gerrit.wikimedia.org/r/305213

WMDE-leszek set the point value for this task to 3.

@Jakob_WMDE, Thank you for the patch!

WMDE-leszek moved this task from Incoming to Done on the Revision-Slider board.Aug 17 2016, 12:38 PM

@Guycn2 thank you for noticing the bug and for the good report! :)

@Guycn2 thank you for noticing the bug and for the good report! :)

No problem, but the credit for noticing the bug should be given to @IKhitron .

Guycn2 closed this task as Resolved.Aug 19 2016, 3:10 AM
WMDE-leszek triaged this task as High priority.Aug 25 2016, 1:17 PM